CREATE DATABASE QLSV_NHOM_LAP4
GO 

USE [QLSV_NHOM_LAP4]
GO

CREATE TABLE SINHVIEN(
	MASV NVARCHAR(20) PRIMARY KEY,
	HOTEN NVARCHAR(100) NOT NULL,
	NGAYSINH DATETIME,
	DIACHI NVARCHAR(200),
	MALOP VARCHAR(20),
	TENDN NVARCHAR(100) NOT NULL,
	MATKHAU VARBINARY(MAX) not null,
)
CREATE TABLE NHANVIEN(
	MANV VARCHAR(20) PRIMARY KEY,
	HOTEN NVARCHAR(100) NOT NULL,
	EMAIL VARCHAR(20),
	LUONG VARBINARY(MAX),
	TENDN NVARCHAR(100) NOT NULL,
	MATKHAU VARBINARY(MAX) NOT NULL,
	PUBKEY XML ,
	PRI XML,
)
CREATE TABLE LOP(
	MALOP VARCHAR(20) PRIMARY KEY,
	TENLOP NVARCHAR(100) NOT NULL,
	MANV VARCHAR(20) 
	
)
CREATE TABLE HOCPHAN(
	MAHP VARCHAR(20) PRIMARY KEY,
	TENHP NVARCHAR(100) NOT NULL,
	SOTC INT
)
CREATE TABLE BANGDIEM(
	MASV VARCHAR(20),
	MALOP VARCHAR(20),
	DIEMTHI VARBINARY(MAX),	
	PRIMARY KEY (MASV,MALOP)
)